org.jbpm.process.audit

## Class AbstractAuditLogger

- java.lang.Object
- - org.jbpm.process.audit.AbstractAuditLogger

- All Implemented Interfaces:
    EventListener, org.kie.api.event.process.ProcessEventListener
  Direct Known Subclasses:
    AbstractAuditLoggerAdapter, AsyncAuditLogProducer

      public abstract class AbstractAuditLogger
      extends Object
      implements org.kie.api.event.process.ProcessEventListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AFTER_COMPLETE_EVENT_TYPE`
    `static int` | `AFTER_NODE_ENTER_EVENT_TYPE`
    `static int` | `AFTER_NODE_LEFT_EVENT_TYPE`
    `static int` | `AFTER_START_EVENT_TYPE`
    `static int` | `AFTER_VAR_CHANGE_EVENT_TYPE`
    `static int` | `BEFORE_COMPLETE_EVENT_TYPE`
    `static int` | `BEFORE_NODE_ENTER_EVENT_TYPE`
    `static int` | `BEFORE_NODE_LEFT_EVENT_TYPE`
    `static int` | `BEFORE_START_EVENT_TYPE`
    `static int` | `BEFORE_VAR_CHANGE_EVENT_TYPE`
    `protected AuditEventBuilder` | `builder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAuditLogger()`
    `AbstractAuditLogger(org.kie.api.runtime.KieSession session)`
    `AbstractAuditLogger(org.drools.core.WorkingMemory workingMemory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuditEventBuilder` | `getBuilder()`
    `void` | `setBuilder(AuditEventBuilder builder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.event.process.ProcessEventListener

      `afterNodeLeft, afterNodeTriggered, afterProcessCompleted, afterProcessStarted, afterSLAViolated, afterVariableChanged, beforeNodeLeft, beforeNodeTriggered, beforeProcessCompleted, beforeProcessStarted, beforeSLAViolated, beforeVariableChanged, onMessage, onSignal`

- - ### Field Detail

    - #### BEFORE_START_EVENT_TYPE

          public static final int BEFORE_START_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_START_EVENT_TYPE

          public static final int AFTER_START_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### BEFORE_COMPLETE_EVENT_TYPE

          public static final int BEFORE_COMPLETE_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_COMPLETE_EVENT_TYPE

          public static final int AFTER_COMPLETE_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### BEFORE_NODE_ENTER_EVENT_TYPE

          public static final int BEFORE_NODE_ENTER_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_NODE_ENTER_EVENT_TYPE

          public static final int AFTER_NODE_ENTER_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### BEFORE_NODE_LEFT_EVENT_TYPE

          public static final int BEFORE_NODE_LEFT_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_NODE_LEFT_EVENT_TYPE

          public static final int AFTER_NODE_LEFT_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### BEFORE_VAR_CHANGE_EVENT_TYPE

          public static final int BEFORE_VAR_CHANGE_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### AFTER_VAR_CHANGE_EVENT_TYPE

          public static final int AFTER_VAR_CHANGE_EVENT_TYPE

      See Also:
        Constant Field Values

    - #### builder

          protected AuditEventBuilder builder

  - ### Constructor Detail

    - #### AbstractAuditLogger

          public AbstractAuditLogger(org.drools.core.WorkingMemory workingMemory)

    - #### AbstractAuditLogger

          public AbstractAuditLogger(org.kie.api.runtime.KieSession session)

    - #### AbstractAuditLogger

          public AbstractAuditLogger()

  - ### Method Detail

    - #### getBuilder

          public AuditEventBuilder getBuilder()

    - #### setBuilder

          public void setBuilder(AuditEventBuilder builder)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.